package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.MesInputDefectRecordModel;
import cn.estsh.i3plus.pojo.mes.bean.MesDefectRecord;
import cn.estsh.i3plus.pojo.mes.bean.MesPartTypeDefect;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-04-26 15:37
 * @Modify:
 **/
public interface IMesInputDefectRecordService {


    @ApiOperation(value = "扫描产品条码")
    public MesInputDefectRecordModel queryProduceSn(String serialNumber, Integer sides, String org);

    @ApiOperation(value = "批次录入")
    public MesInputDefectRecordModel queryPartAndLot(String partNo, String lot, Integer sides, String org);

    @ApiOperation(value = "零件类型缺陷类型对应关系信息")
    public List<MesPartTypeDefect> queryPartTypeDefect(String serialNumber, String defectLocationCode, boolean flg, Integer sides, String org);

    @ApiOperation(value = "零件类型缺陷类型对应关系信息")
    public void saveDefectRecord(List<MesDefectRecord> defectRecordList, String org);


}
